package main

import "fmt"
import "math"

// INFORMATION HIDING
// ENCAPSULATION

type Point struct {
	x, y float64
}

func PointString(p Point) string {
	return fmt.Sprintf("(%.3f, %.3f)", p.x, p.y)
}

func DistOrigine(p Point) float64 {
	return math.Sqrt(p.x * p.x + p.y * p.y)
}

func NewPoint(x,y float64) Point {
	return Point{x,y}
}

func Dist(p1, p2 Point) float64 {
	return math.Sqrt((p1.x-p2.x)*(p1.x-p2.x) + (p1.y-p2.y)*(p1.y-p2.y))
}

func getX(p Point) float64 {
	return p.x
}

func getY(p Point) float64 {
	return p.y
}


